Partially update Engage list
curl --request PATCH \
--url https://app.forecastable.com/api/v1/engage/lists/{listId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"accountTypes": [
"<string>"
],
"accountStatuses": [
"<string>"
],
"accountRelationshipStatuses": [
"<string>"
],
"accountTags": [
"<string>"
],
"accountTagCategories": [
"<string>"
],
"engagementStatuses": [
"<string>"
],
"accountOwnerIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"sourcePersona": [
"<string>"
]
}
'import requests
url = "https://app.forecastable.com/api/v1/engage/lists/{listId}"
payload = {
"name": "<string>",
"description": "<string>",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"accountTypes": ["<string>"],
"accountStatuses": ["<string>"],
"accountRelationshipStatuses": ["<string>"],
"accountTags": ["<string>"],
"accountTagCategories": ["<string>"],
"engagementStatuses": ["<string>"],
"accountOwnerIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"sourcePersona": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
ownerUserId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
accountIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
accountTypes: ['<string>'],
accountStatuses: ['<string>'],
accountRelationshipStatuses: ['<string>'],
accountTags: ['<string>'],
accountTagCategories: ['<string>'],
engagementStatuses: ['<string>'],
accountOwnerIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
sourcePersona: ['<string>']
})
};
fetch('https://app.forecastable.com/api/v1/engage/lists/{listId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"isArchived": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"accountTypes": [
"<string>"
],
"accountStatuses": [
"<string>"
],
"accountRelationshipStatuses": [
"<string>"
],
"accountTags": [
"<string>"
],
"accountTagCategories": [
"<string>"
],
"engagementStatuses": [
"<string>"
],
"accountOwnerIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"sourcePersona": [
"<string>"
],
"memberCount": 1,
"ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Engage Lists
Partially update Engage list
PATCH
/
engage
/
lists
/
{listId}
Partially update Engage list
Authorizations
Partner OAuth2 flows for integration API access tokens. Claude MCP custom connectors use authorization code with PKCE S256.
Headers
Active organization UUID. Required for authenticated requests when the principal has access to multiple organizations.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Path Parameters
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Query Parameters
Read-only convenience alias for X-Organization-Id. Legacy subscriberId query param is also accepted.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Body
application/json
Required string length:
1 - 300Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Account-level filter: tag category keys from the organization account_types.tag_category_map.
Contact-level filter on relationship-map contact_status (e.g. Contacted, Not Contacted, Actively Engaged, Ghosting). Always AND’d with account filters.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Available options:
and, or Response
Updated list.
Show child attributes
Show child attributes
Was this page helpful?
⌘I